Package: groovy.lang

## [Java] Class Tuple7<T1, T2, T3, T4, T5, T6, T7>

- groovy.lang.Tuple7

-     public final class Tuple7<T1, T2, T3, T4, T5, T6, T7>
      extends Tuple

  Represents a list of 7 typed Objects.

  Since:
    2.5.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `Tuple7(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7)`
    `Tuple7(Tuple7<T1, T2, T3, T4, T5, T6, T7> tuple)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Tuple7<T1, T2, T3, T4, T5, T6, T7>` | `clone()`
    `` | `public T5` | `getFifth()`
    `` | `public T1` | `getFirst()`
    `` | `public T4` | `getFourth()`
    `` | `public T2` | `getSecond()`
    `` | `public T7` | `getSeventh()`
    `` | `public T6` | `getSixth()`
    `` | `public T3` | `getThird()`
    `` | `public T1` | `getV1()`
    `` | `public T2` | `getV2()`
    `` | `public T3` | `getV3()`
    `` | `public T4` | `getV4()`
    `` | `public T5` | `getV5()`
    `` | `public T6` | `getV6()`
    `` | `public T7` | `getV7()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tuple` | `clone, compareTo, equals, get, hashCode, size, subList, subTuple, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

- - ### Constructor Detail

    - #### public Tuple7(T1 v1, T2 v2, T3 v3, T4 v4, T5 v5, T6 v6, T7 v7)

    - #### public Tuple7(Tuple7<T1, T2, T3, T4, T5, T6, T7> tuple)

  - ### Method Detail

    - #### @Override public Tuple7<T1, T2, T3, T4, T5, T6, T7> clone()

    - #### @Deprecated public T5 getFifth()

    - #### @Deprecated public T1 getFirst()

    - #### @Deprecated public T4 getFourth()

    - #### @Deprecated public T2 getSecond()

    - #### @Deprecated public T7 getSeventh()

    - #### @Deprecated public T6 getSixth()

    - #### @Deprecated public T3 getThird()

    - #### public T1 getV1()

    - #### public T2 getV2()

    - #### public T3 getV3()

    - #### public T4 getV4()

    - #### public T5 getV5()

    - #### public T6 getV6()

    - #### public T7 getV7()